import { EggLoadUnitTypeLike, Loader, ModuleReference } from '@eggjs/tegg-types';
import { ModuleDescriptor } from '@eggjs/tegg-metadata';
export type LoaderCreator = (unitPath: string) => Loader;
export declare class LoaderFactory {
    private static loaderCreatorMap;
    static createLoader(unitPath: string, type: EggLoadUnitTypeLike): Loader;
    static registerLoader(type: EggLoadUnitTypeLike, creator: LoaderCreator): void;
    static loadApp(moduleReferences: readonly ModuleReference[]): ModuleDescriptor[];
}
